auto_assign_claim
bifurcate_claim
claimsearch_sso_data
Code
claimsearch_sso_data › Request Body
claim_idUUID of the claim
vendor_reference_idISO file number for deep-linking to a specific match report. If omitted, lands on the ClaimSearch home page.
claimsearch_sso_data › Responses
acs_urlClaimSearch ACS endpoint URL. The frontend navigates the SSO popup to this URL.
saml_responseBase64-encoded signed SAML Response, if provided by Tray.io
relay_stateRelayState for deep-linking to a match report. Empty string for the ClaimSearch home page.
get_all_associated_claims_parties
Retrieve all parties associated with a claim.
Code
get_all_associated_claims_parties › Request Body
claim_idClaim ID whose associated parties should be returned
get_all_associated_claims_parties › Responses
Claim parties. When claims.pull-current-mortgagees is enabled, current policy mortgagees and named insureds missing from the claim appear as virtual rows with a null id.
successIndicates if the request was successful
get_all_claim_transactions
Code
get_all_claim_transactions › Request Body
claim_idThe ID of the claim for which to retrieve transactions data
pageThe page number for paginated transactions (default: 1)
page_sizeThe number of transactions per page (default: 100, max: 1000, null for all)
transaction_typesFilter by transaction type(s). If not provided, all types are returned.
categoriesFilter by transaction category(ies). If not provided, all categories are returned.
statusesFilter by transaction status(es). Currently supports 'voided' to show only voided transactions.
payment_methodsFilter by payment method(s). Only applies to payment transactions.
date_fromFilter transactions on or after this date (YYYY-MM-DD format)
date_toFilter transactions on or before this date (YYYY-MM-DD format)
sort_byField to sort results by (default: transaction_datetime)
sort_orderSort order: ascending or descending (default: desc)
get_all_claim_transactions › Responses
successIndicates if the request was successful
get_claim_payments
Get a list of claims payments, including each payment's classification name as
classification_type as well as selected payee names and addresses.
Code
get_claim_payments › Request Body
include_exportedinclude_voidedclassification_typesget_claim_payments › Responses
successmessagedataget_claims_tabs_visibility
Retrieve claims UI tab visibility for a claim.
Code
get_claims_tabs_visibility › Request Body
claim_idClaim ID for retrieving claims tabs visibility
get_claims_tabs_visibility › Responses
successIndicates if the request was successful
request_claims_search
Code
request_claims_search › Request Body
claim_idUUID of the claim to search
request_claims_search › Responses
request_idCorrelation ID for tracking the request
statusStatus of the request submission
messageHuman-readable status message
error_codeError code if status is Failed
error_messageDetailed error message if status is Failed
retrieve_claim_payments
Code
retrieve_claim_payments › Request Body
transaction_date_from^\d{4}-\d{2}-\d{2} \… · requiredThe start date for the transaction date range. The date should be in the format 'YYYY-mm-dd HH:MM:SS'.
transaction_date_to^\d{4}-\d{2}-\d{2} \… · requiredThe end date for the transaction date range. The date should be in the format 'YYYY-mm-dd HH:MM:SS'.
policy_type_idsList of policy type ids to filter the claim payments. The function will return only the claim payments that have a policy type id in this list.
exportedIf provided, the function will return only the claim payments that have the exported flag set to this value.
voidedIf provided, the function will return only the claim payments that have the voided flag set to this value.
historicalIf provided, the function will return only the claim payments that have the historical flag set to this value.
retrieve_claim_payments › Responses
successTrue if the function executed successfully, false if there was an error.
List of human-readable error messages. If the function executed successfully, this list will be empty.
List of claim payment dictionaries, each containing all ClaimTransaction fields including system_tags
set_claim_loss_address
Adds an address to a claim. This can be a property based address, or a non listed full address.
Code
set_claim_loss_address › Request Body
claim_idproperty_address_idaddressRaises------not foundset_claim_loss_address › Responses
successmessagedatastore_claims_search
Code
store_claims_search › Request Body
Wrapper object added by Tray.io containing the actual response data
store_claims_search › Responses
request_idUnique identifier for the original request
statusProcessed status of the callback
match_countNumber of matches found
trigger_scheduled_claims_research
Code
trigger_scheduled_claims_research › Request Body
integration_instance_idExternal ID of the integration instance (as known by Tray.io)
research_interval_daysMinimum days since last successful search
trigger_scheduled_claims_research › Responses
triggeredNumber of celery tasks dispatched
Eligible claims for which celery tasks were dispatched
update_claim_iso_aplus_reporting
Leave a claim out of the monthly ISO A-PLUS file, or report it again.
Code
update_claim_iso_aplus_reporting › Request Body
claim_idexclude_from_iso_aplusupdate_claim_iso_aplus_reporting › Responses
successMessages or errors related to the request
update_claim_iso_aplus_transaction_type
Change the ISO A-PLUS transaction type of a claim.
Code
update_claim_iso_aplus_transaction_type › Request Body
claim_idiso_transaction_typeupdate_claim_iso_aplus_transaction_type › Responses
successMessages or errors related to the request
